# Keys

The Dfns Keys API enables you to sign complex transactions for any Bitcoin compatible, EVM compatible or other alternative L1 blockchains that Dfns supports. This API enables integration with hundreds of blockchains and ecosystems, for example

* Use Dfns keys with hundreds of blockchains in the EVM, Cosmos, or Polkadot ecosystems that Dfns doesn't directly integrate with.
* Use Dfns keys with blockchains Dfns doesn't natively support, like Starknet, as long as they use one of the supported key formats.
* Use Dfns keys with private blockchains that Dfns doesn't have access to, such as Polygon Supernets or Avalanche Subnets.

Keys also support [Delegated Signing](/d/advanced-topics/delegated-signing.md), enabling a non-custodial configuration. If you have feedback on the Keys API, please contact us at <https://support.dfns.co>.

## Supported Key Formats

| Scheme  | Elliptical Curve |
| ------- | ---------------- |
| ECDSA   | secp256k1        |
| ECDSA   | stark            |
| EdDSA   | ed25519          |
| Schnorr | secp256k1        |

## Supported Key Formats by network:

| Network     | (scheme, curve)                          |
| ----------- | ---------------------------------------- |
| Algorand    | (EdDSA,ed25519)                          |
| Aptos       | (EdDSA,ed25519)                          |
| Bitcoin     | (ECDSA,secp256k1) or (Schnorr,secp256k1) |
| BitcoinCash | (ECDSA,secp256k1)                        |
| Canton      | (EdDSA,ed25519)                          |
| Cardano     | (EdDSA,ed25519)                          |
| Cosmos      | (ECDSA,secp256k1)                        |
| Evm         | (ECDSA,secp256k1)                        |
| Icp         | (EdDSA,ed25519)                          |
| Iota        | (EdDSA,ed25519)                          |
| Kaspa       | (ECDSA,secp256k1)                        |
| Polymesh    | (EdDSA,ed25519)                          |
| Solana      | (EdDSA,ed25519)                          |
| Stellar     | (EdDSA,ed25519)                          |
| Substrate   | (EdDSA,ed25519)                          |
| Sui         | (EdDSA,ed25519)                          |
| Tezos       | (EdDSA,ed25519) or (ECDSA,secp256k1)     |
| Ton         | (EdDSA,ed25519)                          |
| Tron        | (ECDSA,secp256k1)                        |
| Xrpl        | (ECDSA,secp256k1) or (EdDSA,ed25519)     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
